// Global styles===================================================================================

body {
  display: grid;
  grid-template-rows: [nav] 100px [content] 1fr;
  grid-template-columns: [margin-left] 15% [content] 1fr [margin-right] 15%;
  font-family: "Overpass Mono";
  background-color: #f5f5f5;
}

pre {
  background-color: rgba(0, 0, 0, 0.1);
  padding: 5px 10px;
  code {
    background-color: transparent;
    border-radius: 3px;
    padding: none;
    color: palevioletred;
  }
}

code {
  background-color: rgba(0, 0, 0, 0.1);
  border-radius: 3px;
  padding: 0 2px;
  color: palevioletred;
}

//Navigation styles================================================================================

.navigation {
  // background-color: red;
  grid-column: margin-left / margin-right-end;
  height: 100px;
  display: flex;
  align-items: center;
  padding-left: 25px;
  a {
    text-decoration: none;
    color: black;
  }
}

.navigation__item {
  font-family: "Overpass";
  font-size: 24px;
  margin-left: 25px;
  margin-top: 10px;
}

.navigation__item--main {
  font-family: "Oswald";
  font-size: 60px;
}

.navigation__divider {
  display: inline-block;
  width: 2px;
  height: 50px;
  background-color: gray;
  margin-left: 25px;
  margin-top: 10px;
}

.navigation__divider--main {
  display: inline-block;
  width: 2px;
  height: 60px;
  background-color: gray;
  margin-top: 5px;
  margin-left: 25px;
}

//Main Content styles==============================================================================

.main__content {
  grid-row: content / span 1;
  grid-column: content / span 1;
  margin-top: 50px;
}

.main__header {
  font-size: 48px;
}

.main__post-list {
  list-style: none;
}

.main__post-item {
  a {
    color: black;
    text-decoration: none;
  }
}

.main__post-title {
  text-decoration: underline;
  margin-bottom: 10px;
}

.main__title {
  font-size: 48px;
  margin-bottom: 0;
}

.main__post-date {
  margin-top: 0;
  color: gray;
}

//About Page Styles================================================================================

.headshot {
  float: right;
  margin-left: 50px;
  height: 500px;
}
